import { ModelConditionUtil, ModelConditionUtilImpl, FieldUtil, TableUtilImpl, IdType } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-02 09:56
 */
interface BMViewModelField {
    /**
    * 模型项目ID
    * @type { string }
    */
    bmProjectId?: string;
    /**
    * 视图模型ID
    * @type { string }
    */
    bmViewModelId?: string;
    /**
    * 列名称
    * @type { string }
    */
    columnName?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 数据类型
    * @type { string }
    */
    dataType?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * JAVA数据类型
    * @type { string }
    */
    javaDataType?: string;
    /**
    * 字段名称
    * @type { string }
    */
    name?: string;
    /**
    * 是否主键列
    * @type { boolean }
    */
    primaryKey?: boolean;
    /**
    * 字段标题
    * @type { string }
    */
    title?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 版本ID
    * @type { string }
    */
    versionId?: string;
}
interface BMViewModelFieldMCU extends ModelConditionUtil<BMViewModelFieldMCU> {
    BM_PROJECT_ID: FieldUtil<BMViewModelFieldMCU>;
    BM_VIEW_MODEL_ID: FieldUtil<BMViewModelFieldMCU>;
    COLUMN_NAME: FieldUtil<BMViewModelFieldMCU>;
    CREATE_TIME: FieldUtil<BMViewModelFieldMCU>;
    CREATE_USER_ID: FieldUtil<BMViewModelFieldMCU>;
    DATA_TYPE: FieldUtil<BMViewModelFieldMCU>;
    DESCRIPTION: FieldUtil<BMViewModelFieldMCU>;
    ID: FieldUtil<BMViewModelFieldMCU>;
    JAVA_DATA_TYPE: FieldUtil<BMViewModelFieldMCU>;
    NAME: FieldUtil<BMViewModelFieldMCU>;
    PRIMARY_KEY: FieldUtil<BMViewModelFieldMCU>;
    TITLE: FieldUtil<BMViewModelFieldMCU>;
    UPDATE_TIME: FieldUtil<BMViewModelFieldMCU>;
    UPDATE_USER_ID: FieldUtil<BMViewModelFieldMCU>;
    VERSION_ID: FieldUtil<BMViewModelFieldMCU>;
}
declare class BMViewModelFieldMCUImpl extends ModelConditionUtilImpl<BMViewModelFieldMCUImpl> implements BMViewModelFieldMCU {
    newInstance(): BMViewModelFieldMCUImpl;
    get BM_PROJECT_ID(): FieldUtil<BMViewModelFieldMCU>;
    get BM_VIEW_MODEL_ID(): FieldUtil<BMViewModelFieldMCU>;
    get COLUMN_NAME(): FieldUtil<BMViewModelFieldMCU>;
    get CREATE_TIME(): FieldUtil<BMViewModelFieldMCU>;
    get CREATE_USER_ID(): FieldUtil<BMViewModelFieldMCU>;
    get DATA_TYPE(): FieldUtil<BMViewModelFieldMCU>;
    get DESCRIPTION(): FieldUtil<BMViewModelFieldMCU>;
    get ID(): FieldUtil<BMViewModelFieldMCU>;
    get JAVA_DATA_TYPE(): FieldUtil<BMViewModelFieldMCU>;
    get NAME(): FieldUtil<BMViewModelFieldMCU>;
    get PRIMARY_KEY(): FieldUtil<BMViewModelFieldMCU>;
    get TITLE(): FieldUtil<BMViewModelFieldMCU>;
    get UPDATE_TIME(): FieldUtil<BMViewModelFieldMCU>;
    get UPDATE_USER_ID(): FieldUtil<BMViewModelFieldMCU>;
    get VERSION_ID(): FieldUtil<BMViewModelFieldMCU>;
}
declare class BMViewModelFieldMU extends TableUtilImpl<BMViewModelFieldMCU, BMViewModelField> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    constructor();
    createModelConditionUtil(): BMViewModelFieldMCU;
    static get BM_PROJECT_ID(): FieldUtil<BMViewModelFieldMCU>;
    static get BM_VIEW_MODEL_ID(): FieldUtil<BMViewModelFieldMCU>;
    static get COLUMN_NAME(): FieldUtil<BMViewModelFieldMCU>;
    static get CREATE_TIME(): FieldUtil<BMViewModelFieldMCU>;
    static get CREATE_USER_ID(): FieldUtil<BMViewModelFieldMCU>;
    static get DATA_TYPE(): FieldUtil<BMViewModelFieldMCU>;
    static get DESCRIPTION(): FieldUtil<BMViewModelFieldMCU>;
    static get ID(): FieldUtil<BMViewModelFieldMCU>;
    static get JAVA_DATA_TYPE(): FieldUtil<BMViewModelFieldMCU>;
    static get NAME(): FieldUtil<BMViewModelFieldMCU>;
    static get PRIMARY_KEY(): FieldUtil<BMViewModelFieldMCU>;
    static get TITLE(): FieldUtil<BMViewModelFieldMCU>;
    static get UPDATE_TIME(): FieldUtil<BMViewModelFieldMCU>;
    static get UPDATE_USER_ID(): FieldUtil<BMViewModelFieldMCU>;
    static get VERSION_ID(): FieldUtil<BMViewModelFieldMCU>;
    get BM_PROJECT_ID(): FieldUtil<BMViewModelFieldMCU>;
    get BM_VIEW_MODEL_ID(): FieldUtil<BMViewModelFieldMCU>;
    get COLUMN_NAME(): FieldUtil<BMViewModelFieldMCU>;
    get CREATE_TIME(): FieldUtil<BMViewModelFieldMCU>;
    get CREATE_USER_ID(): FieldUtil<BMViewModelFieldMCU>;
    get DATA_TYPE(): FieldUtil<BMViewModelFieldMCU>;
    get DESCRIPTION(): FieldUtil<BMViewModelFieldMCU>;
    get ID(): FieldUtil<BMViewModelFieldMCU>;
    get JAVA_DATA_TYPE(): FieldUtil<BMViewModelFieldMCU>;
    get NAME(): FieldUtil<BMViewModelFieldMCU>;
    get PRIMARY_KEY(): FieldUtil<BMViewModelFieldMCU>;
    get TITLE(): FieldUtil<BMViewModelFieldMCU>;
    get UPDATE_TIME(): FieldUtil<BMViewModelFieldMCU>;
    get UPDATE_USER_ID(): FieldUtil<BMViewModelFieldMCU>;
    get VERSION_ID(): FieldUtil<BMViewModelFieldMCU>;
}
export { BMViewModelFieldMCU, BMViewModelFieldMCUImpl, BMViewModelField, BMViewModelFieldMU };
